---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: munin-kube
  namespace: ci
---
apiVersion: policy/v1beta1
kind: PodSecurityPolicy
metadata:
  name: hostaccess-munin-kube
spec:
  allowPrivilegeEscalation: true
  fsGroup:
    ranges:
    - max: 65535
      min: 0
    rule: MustRunAs
  hostNetwork: true
  hostPID: true
  hostPorts:
  - max: 65535
    min: 0
  runAsUser:
    rule: RunAsAny
  seLinux:
    rule: RunAsAny
  supplementalGroups:
    ranges:
    - max: 65535
      min: 0
    rule: MustRunAs
  volumes:
  - configMap
  - downwardAPI
  - emptyDir
  - hostPath
  - persistentVolumeClaim
  - projected
  - secret
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: hostaccess-munin-kube
rules:
- apiGroups:
  - policy
  resourceNames:
  - hostaccess-munin-kube
  resources:
  - podsecuritypolicies
  verbs:
  - use
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: munin-kube
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: hostaccess-munin-kube
subjects:
- kind: ServiceAccount
  name: munin-kube
  namespace: ci
